# MixNet 系列
---
## 目录

* [1. 概述](#1)
* [2. 精度、FLOPS 和参数量](#2)
* [3. 基于 V100 GPU 的预测速度](#3)

<a name='1'></a>

## 1. 概述

MixNet 是谷歌出的一篇关于轻量级网络的文章，主要工作就在于探索不同大小的卷积核的组合。作者发现目前网络有以下两个问题：

- 小的卷积核感受野小，参数少，但是准确率不高
- 大的卷积核感受野大，准确率相对略高，但是参数也相对增加了很多

为了解决上面两个问题，文中提出一种新的混合深度分离卷积(MDConv)(mixed depthwise convolution)，将不同的核大小混合在一个卷积运算中，并且基于 AutoML 的搜索空间，提出了一系列的网络叫做 MixNets，在 ImageNet 上取得了较好的效果。[论文地址](https://arxiv.org/pdf/1907.09595.pdf)

<a name='2'></a>

## 2. 精度、FLOPS 和参数量

| Models | Top1 | Top5 | Reference<br>top1| FLOPS<br>(M) | Params<br/>(M) |
|:--:|:--:|:--:|:--:|:--:|----|
| MixNet_S | 76.28 | 92.99 |       75.8        | 252.977 | 4.167 |
| MixNet_M | 77.67 | 93.64 |       77.0        | 357.119 | 5.065 |
| MixNet_L | 78.60 | 94.37 |       78.9        | 579.017 | 7.384 |

<a name='3'></a>

## 3. 基于 V100 GPU 的预测速度

| Models   | Crop Size | Resize Short Size | FP32<br/>Batch Size=1<br/>(ms) | FP32<br/>Batch Size=4<br/>(ms) | FP32<br/>Batch Size=8<br/>(ms) |
| -------- | --------- | ----------------- | ------------------------------ | ------------------------------ | ------------------------------ |
| MixNet_S | 224       | 256               | 2.31                           | 3.63                           | 5.20                           |
| MixNet_M | 224       | 256               | 2.84                           | 4.60                           | 6.62                           |
| MixNet_L | 224       | 256               | 3.16                           | 5.55                           | 8.03                           |

关于 Inference speed 等信息，敬请期待。
